> For the complete documentation index, see [llms.txt](https://docs.firework.com/firework-for-developers/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.firework.com/firework-for-developers/ios-sdk/integration-guide-for-ios-sdk/customization-ios/video-feed-configurations-ios.md).

# Video feed configurations (iOS)

Here is how you can customize the video feed configurations for `VideoFeedViewController/VideoFeedView/VideoFeedSwiftUIView` instances, as illustrated in the code below.

```swift
var config = VideoFeedContentConfiguration()

// Specifies the background color to be used for the feed background
config.backgroundColor = .white
// Specifies the color of the loading indicator shown when content is loading
config.loadingIndicatorColor = .lightGray

// Specifies the corner radius to be applied to the item
config.itemView.cornerRadius = 4

// Specifies if the item title is invisible
config.itemView.title.isHidden = false
// Specifies the item title text color
config.itemView.title.textColor = .black
// Specifies the item font
config.itemView.title.font = .systemFont(ofSize: 18)
// Specifies the number of allowed lines for the item title
config.itemView.title.numberOfLines = 1
// Specifies the horizontal text alignment of the label
config.itemView.title.textAlignment = .center
// Specifies the insets that should be applied to the item title
config.itemView.titleLayoutConfiguration.insets = .zero
// Specifies the positioning of the item title
config.itemView.titleLayoutConfiguration.titlePosition = .stacked

// Specifies if the play icon should be hidden on the item
config.itemView.playIcon.isHidden = false
// Specifies the width of the play icon on the item
config.itemView.playIcon.iconWidth = 30

// Specifies if the sponsored label should be shown on thumbnails
config.itemView.sponsored.isHidden = false

// Specifies if autoplay is enabled on thumbnails.
config.itemView.autoplay.isEnabled = true

// Specifies if the shopping bag icon should be hidden on the item
config.itemView.shoppingBag.isHidden = false
// Specifies the customize icon of shopping bag
config.itemView.shoppingBag.display.displayMode = .image(image)
// Specifies the customize size of shopping bag icon
config.itemView.shoppingBag.display.size = .init(width: 50, height: 50)

// Configure the background color of the ad badge.
// This is also applied to player.
config.adBadge.backgroundColor = .white
// Configure the text color of the ad badge
// This is also applied to player.
config.adBadge.textColor = .black
// Configure the text(Sponsored or Ad) of the ad badge
// This is also applied to player.
config.adBadge.badgeText = .ad

// Apply the changes for VideoFeedViewController instance
let feedVC = VideoFeedViewController()
feedVC.viewConfiguration = config

// Apply the changes for VideoFeedView instance
let videoFeedView = VideoFeedView()
videoFeedView.viewConfiguration = config

// Apply the changes for VideoFeedSwiftUIView instance
VideoFeedSwiftUIView(viewConfiguration: config)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.firework.com/firework-for-developers/ios-sdk/integration-guide-for-ios-sdk/customization-ios/video-feed-configurations-ios.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
